Welcome to the Onshape forum! Ask questions and join in the discussions about everything Onshape.
First time visiting? Here are some places to start:- Looking for a certain topic? Check out the categories filter or use Search (upper right).
- Need support? Ask a question to our Community Support category.
- Please submit support tickets for bugs but you can request improvements in the Product Feedback category.
- Be respectful, on topic and if you see a problem, Flag it.
If you would like to contact our Community Manager personally, feel free to send a private message or an email.
"Retrieve" trailing edge resulting from EDGE extrusion
mko_sc
Member Posts: 24 PRO
I apologize in advance for any nonsense or simplicity.
how do i retrieve the terminal wire of an edge extrusion?
I need to retrieve the 2 end points to draw other things.
Thanks
precondition { annotation { "Name" : "Curve", "Filter" : EntityType.EDGE || EntityType.BODY && BodyType.WIRE } definition.Skizzo is Query; annotation { "Name" : "Face", "Filter" : EntityType.FACE,"bodyType" : ToolBodyType.SURFACE } definition.Faccia is Query; } { opExtrude(context, id + "extrude1", { "entities" : definition.Skizzo , "direction": evOwnerSketchPlane(context, {"entity" : definition.Skizzo}).normal, "endBound" : BoundingType.UP_TO_SURFACE, "endBoundEntity" : definition.Faccia }); var piano = newSketch(context, id + "sketch", { "sketchPlane" : qCreatedBy(id + "extrude1", EntityType.FACE) }); //??????????????????????????????? var endPoint is Query = qCreatedBy(id + "extrude1"); var startPosition is Vector = evVertexPoint(context, {"vertex" : qNthElement(endPoint, 1) }); debug(context,endPoint); debug(context, startPosition); //??????????????????????????????? });
0
Comments
then I don't understand why the CapType seems correct when I set it to START while it should be END
Thanks
https://cad.onshape.com/documents/0c64fef5e971bca634d38f9f/w/2d55e179cdb15b3a8d661d86/e/a2ca94fc2759ce4bf3c1627d
do I have to "redesign" it with skEllipticalArc or how?
Thanks
https://cad.onshape.com/documents/5bc75a5ed5ddc798b43cdf2a/w/1f899b34d7278eee6d1be959/e/75d62d635744761d1933092e
Something like opFillSurface(... qUnion(qCreatedBy(id + "sketch1", EntityType.EDGE), BordoVoluto) ...)
You can use that created surface for any downstream operation, and delete it afterwards if you wish.
Would that work?
i’m a building a plate , I need,now, to find the parallel line from “startPosition” to “endPosition” and tangent to the elliptical line
thanks
but failing to get the "opFillSurface" command to work all night. and I was ashamed to ask ...;)
i slept all night and i just did:
I practically draw a line on 2 points now known and re-extruded this line on the same surface and I solved the problem!
the desired distance is missing (2mm) .. but for this I try something like "maximum distance" from the edge.
(if you have some help for the tangent it is appreciated)
parallel to:
<div>var sketch2 = newSketchOnPlane(context, id + "sketch2", {</div><div> "sketchPlane" : sketchPlane</div><div> }); </div>
and tangent to:<div> var CapEntiCurva is Query = qGeometry(CapEnti1, GeometryType.OTHER_CURVE); //spline elliptical result</div><div> var ellisse is map = evCurveDefinition(context, { "edge" : CapEntiCurva }); //map of the result <br></div>
now! ,I can't understand how "opFillSurface" works, is there an example something I can study?
thanks
and sorry for my writing! google translator is live
)